body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
}

#container {
    display: flex;
    width: 85%;
    height: 90vh;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

#art-container {
    width: 70%;
    height: 100%;
    border-right: 1px solid #ccc;
    background-color: #fafafa;
}

#controls {
    width: 30%;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #f9f9f9;
    overflow-y: auto;
}

#controls label {
    margin: 10px 0 5px;
}

#controls input[type="range"] {
    width: 99.1%;
}

#controls div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 10px 0;
}

button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s;
    margin-top: 20px;
}

button:hover {
    background-color: #0056b3;
}

#save-art {
    background-color: #28a745;
}

#save-art:hover {
    background-color: #218838;
}

/* From Uiverse.io by CYBWEBALI */ 
.btn {
    display: grid;
    position: absolute;
    bottom: 15px;
    right: 15px;
    background: #e3edf7;
    padding: 1.4em;
    border-radius: 10px;
    box-shadow: 6px 6px 10px -1px rgba(0,0,0,0.15),
            -6px -6px 10px -1px rgba(255,255,255,0.7);
    border: 1px solid rgba(0,0,0,0);
    cursor: pointer;
    transition: transform 0.5s;
  }
  
  .btn:hover {
    box-shadow: inset 4px 4px 6px -1px rgba(0,0,0,0.2),
            inset -4px -4px 6px -1px rgba(255,255,255,0.7),
            -0.5px -0.5px 0px rgba(255,255,255,1),
            0.5px 0.5px 0px rgba(0,0,0,0.15),
            0px 12px 10px -10px rgba(0,0,0,0.05);
    border: 1px solid rgba(0,0,0,0.1);
    transform: translateY(0.5em);
    background: #e3edf7;
  }
  
  .btn svg {
    transition: transform 0.5s;
  }
  
  .btn:hover svg {
    transform: scale(0.9);
    fill: #333333;
  }
  